Bug 1304641 - bond profile doubling after restart with manual ipv6 (or ignore)
bond profile doubling after restart with manual ipv6 (or ignore)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.3
Unspecified Unspecified
high Severity high
: rc
: 7.3
Assigned To: Beniamino Galvani
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 04:16 EST by Vladimir Benes
Modified: 2016-11-03 15:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: NetworkManager-1.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 15:07:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journal log (470.03 KB, text/plain)
2016-02-04 09:02 EST, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2016-02-04 04:16:26 EST
Description of problem:
when I set ignore or manually to ::1/128 or similar I see two connections after systemctl restart. I have no slaves just master with IPs.

see more info for details

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-27.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.create manual IPs equipped bond master and up it
2.restart NM service

Actual results:
assumed connection instead of previously created one

Expected results:
previous connection that was up upped correctly again

Additional info:
assumed connection:
[vbenes@trautenberg ~]$ nmcli connection show bond0 
connection.id:                          bond0
connection.uuid:                        2c3b66f5-cfe6-47b7-9def-4244640bd82c
connection.interface-name:              bond0
connection.type:                        bond
connection.autoconnect:                 no
connection.autoconnect-priority:        0
connection.timestamp:                   1454577045
connection.read-only:                   no
connection.permissions:                 
connection.zone:                        --
connection.master:                      --
connection.slave-type:                  --
connection.autoconnect-slaves:          -1 (default)
connection.secondaries:                 
connection.gateway-ping-timeout:        0
connection.metered:                     unknown
ipv4.method:                            manual
ipv4.dns:                               
ipv4.dns-search:                        
ipv4.addresses:                         1.1.1.1/24
ipv4.gateway:                           --
ipv4.routes:                            
ipv4.route-metric:                      -1
ipv4.ignore-auto-routes:                no
ipv4.ignore-auto-dns:                   no
ipv4.dhcp-client-id:                    --
ipv4.dhcp-send-hostname:                yes
ipv4.dhcp-hostname:                     --
ipv4.never-default:                     no
ipv4.may-fail:                          yes
ipv6.method:                            link-local
ipv6.dns:                               
ipv6.dns-search:                        
ipv6.addresses:                         
ipv6.gateway:                           --
ipv6.routes:                            
ipv6.route-metric:                      -1
ipv6.ignore-auto-routes:                no
ipv6.ignore-auto-dns:                   no
ipv6.never-default:                     no
ipv6.may-fail:                          yes
ipv6.ip6-privacy:                       -1 (unknown)
ipv6.dhcp-send-hostname:                yes
ipv6.dhcp-hostname:                     --
bond.options:                           miimon=1,mode=balance-rr
GENERAL.NAME:                           bond0
GENERAL.UUID:                           2c3b66f5-cfe6-47b7-9def-4244640bd82c
GENERAL.DEVICES:                        bond0
GENERAL.STATE:                          activated
GENERAL.DEFAULT:                        no
GENERAL.DEFAULT6:                       no
GENERAL.VPN:                            no
GENERAL.ZONE:                           --
GENERAL.DBUS-PATH:                      /org/freedesktop/NetworkManager/ActiveConnection/1
GENERAL.CON-PATH:                       /org/freedesktop/NetworkManager/Settings/44
GENERAL.SPEC-OBJECT:                    /
GENERAL.MASTER-PATH:                    --
IP4.ADDRESS[1]:                         1.1.1.1/24
IP4.GATEWAY:                            
IP6.ADDRESS[1]:                         fe80::c8a7:33ff:febb:de30/64


but this was active before:
[vbenes@trautenberg ~]$ nmcli connection show bondy0 
connection.id:                          bondy0
connection.uuid:                        90f775ca-9514-4605-9c92-2dd70efa3f27
connection.interface-name:              bond0
connection.type:                        bond
connection.autoconnect:                 yes
connection.autoconnect-priority:        0
connection.timestamp:                   1454577263
connection.read-only:                   no
connection.permissions:                 
connection.zone:                        --
connection.master:                      --
connection.slave-type:                  --
connection.autoconnect-slaves:          -1 (default)
connection.secondaries:                 
connection.gateway-ping-timeout:        0
connection.metered:                     unknown
802-3-ethernet.port:                    --
802-3-ethernet.speed:                   0
802-3-ethernet.duplex:                  --
802-3-ethernet.auto-negotiate:          yes
802-3-ethernet.mac-address:             --
802-3-ethernet.cloned-mac-address:      --
802-3-ethernet.mac-address-blacklist:   
802-3-ethernet.mtu:                     auto
802-3-ethernet.s390-subchannels:        
802-3-ethernet.s390-nettype:            --
802-3-ethernet.s390-options:            
802-3-ethernet.wake-on-lan:             1 (default)
802-3-ethernet.wake-on-lan-password:    --
ipv4.method:                            manual
ipv4.dns:                               
ipv4.dns-search:                        
ipv4.addresses:                         1.1.1.1/24
ipv4.gateway:                           --
ipv4.routes:                            
ipv4.route-metric:                      -1
ipv4.ignore-auto-routes:                no
ipv4.ignore-auto-dns:                   no
ipv4.dhcp-client-id:                    --
ipv4.dhcp-send-hostname:                yes
ipv4.dhcp-hostname:                     --
ipv4.never-default:                     no
ipv4.may-fail:                          yes
ipv6.method:                            manual
ipv6.dns:                               
ipv6.dns-search:                        
ipv6.addresses:                         ::1/128
ipv6.gateway:                           --
ipv6.routes:                            
ipv6.route-metric:                      -1
ipv6.ignore-auto-routes:                no
ipv6.ignore-auto-dns:                   no
ipv6.never-default:                     no
ipv6.may-fail:                          yes
ipv6.ip6-privacy:                       0 (disabled)
ipv6.dhcp-send-hostname:                yes
ipv6.dhcp-hostname:                     --
bond.options:                           miimon=1,updelay=0,downdelay=0,mode=balance-rr
GENERAL.NAME:                           bondy0
GENERAL.UUID:                           90f775ca-9514-4605-9c92-2dd70efa3f27
GENERAL.DEVICES:                        bond0
GENERAL.STATE:                          activated
GENERAL.DEFAULT:                        no
GENERAL.DEFAULT6:                       no
GENERAL.VPN:                            no
GENERAL.ZONE:                           --
GENERAL.DBUS-PATH:                      /org/freedesktop/NetworkManager/ActiveConnection/3
GENERAL.CON-PATH:                       /org/freedesktop/NetworkManager/Settings/10
GENERAL.SPEC-OBJECT:                    /
GENERAL.MASTER-PATH:                    --
IP4.ADDRESS[1]:                         1.1.1.1/24
IP4.GATEWAY:                            
IP6.ADDRESS[1]:                         ::1/128
IP6.GATEWAY:
Comment 1 Vladimir Benes 2016-02-04 08:57:01 EST
this scenario is incorrect too:
[root@wlan-r2s26 ~]# nmcli connection add type bond con-name bond0 ip4 1.1.1.2/24 ip6 1::2/128
Connection 'bond0' (49cb4fbb-7bf2-4e7f-a455-f85546b31e45) successfully added.
[root@wlan-r2s26 ~]# nmcli con show -a
NAME      UUID                                  TYPE            DEVICE  
testeth0  8e4cdf82-a18a-4881-bb08-7cef1a499132  802-3-ethernet  eth0    
bond0     49cb4fbb-7bf2-4e7f-a455-f85546b31e45  bond            nm-bond 
[root@wlan-r2s26 ~]# systemctl restart NetworkManager
[root@wlan-r2s26 ~]# nmcli con show -a
NAME      UUID                                  TYPE            DEVICE  
testeth0  8e4cdf82-a18a-4881-bb08-7cef1a499132  802-3-ethernet  eth0    
nm-bond   2433457b-6cb8-44bf-9e27-a42bd297cd01  bond            nm-bond 
[root@wlan-r2s26 ~]# nmcli connection up id bond0 
Connection successfully activated (master waiting for slaves) (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/2)
[root@wlan-r2s26 ~]# nmcli con show -a
NAME      UUID                                  TYPE            DEVICE  
bond0     49cb4fbb-7bf2-4e7f-a455-f85546b31e45  bond            nm-bond 
testeth0  8e4cdf82-a18a-4881-bb08-7cef1a499132  802-3-ethernet  eth0    
[root@wlan-r2s26 ~]# systemctl restart NetworkManager
[root@wlan-r2s26 ~]# nmcli con show -a
NAME      UUID                                  TYPE            DEVICE  
testeth0  8e4cdf82-a18a-4881-bb08-7cef1a499132  802-3-ethernet  eth0    
nm-bond   1a1bb393-ce17-4574-b7b9-e302792312b8  bond            nm-bond 
[root@wlan-r2s26 ~]# nmcli connection up id bond0 
Connection successfully activated (master waiting for slaves) (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/2)
[root@wlan-r2s26 ~]# nmcli connection down id bond0 
Connection 'bond0' successfully deactivated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/2)
[root@wlan-r2s26 ~]# nmcli d
DEVICE   TYPE      STATE         CONNECTION 
eth0     ethernet  connected     testeth0   
nm-bond  bond      disconnected  --         

^^ the bond shouldn't be here, right?

and whatmore:
[root@wlan-r2s26 ~]# nmcli connection up id bond0 
Connection successfully activated (master waiting for slaves) (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/3)
[root@wlan-r2s26 ~]# nmcli connection delete bond0 
Connection 'bond0' (49cb4fbb-7bf2-4e7f-a455-f85546b31e45) successfully deleted.
[root@wlan-r2s26 ~]# nmcli d
DEVICE   TYPE      STATE         CONNECTION 
eth0     ethernet  connected     testeth0   
nm-bond  bond      disconnected  --    
^^ this creates stalled bond device
Comment 2 Vladimir Benes 2016-02-04 09:02 EST
Created attachment 1121106 [details]
journal log
Comment 3 Beniamino Galvani 2016-03-23 09:17:46 EDT
This should be fixed by the patches posted in bug 1299103, which add new bonding options and improve the connection matching logic for bonds (since the two things are related it makes sense to keep those changes together).
Comment 4 Mike McCune 2016-03-28 18:20:08 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Vladimir Benes 2016-08-17 07:32:44 EDT
test case written and bug verified as gone
Comment 8 errata-xmlrpc 2016-11-03 15:07:20 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html

Note You need to log in before you can comment on or make changes to this bug.